Jira CLI(7)

NAME

jira-issue-edit - Edit an issue in a project

SYNOPSIS

jira issue edit ISSUE-KEY [flags]

DESCRIPTION

Edit an issue in a given project with minimal information.

OPTIONS

-s, --summary=""
    Edit summary or title

-b, --body=""
    Edit description

-y, --priority=""
    Edit priority

-a, --assignee=""
    Edit assignee (email or display name)

-l, --label=[]
    Append labels

-C, --component=[]
    Replace components

--fix-version=[]
    Add/Append release info (fixVersions)

--custom=[]
    Edit custom fields

--web[=false]
    Open in web browser after successful update

--no-input[=false]
    Disable prompt for non-required fields

-h, --help[=false]
    help for edit

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE

    $ jira issue edit ISSUE-1
    # Edit issue in the configured project
    $ jira issue edit ISSUE-1 -s"New Bug" -yHigh -lbug -lurgent -CBackend -b"Bug description"
    # Use --no-input option to disable interactive prompt
    $ jira issue edit ISSUE-1 -s"New updated summary" --no-input
    # Use minus (-) to remove label, component or fixVersion
    $ jira issue edit ISSUE-1 --label -urgent --component -BE --fix-version -v1.0

SEE ALSO

jira-issue(7)

HISTORY

9-Dec-2023 Auto generated by spf13/cobra